/* Tera Term
 Copyright(C) 1994-1996 T. Teranishi
 All rights reserved. */

/* TERATERM.EXE, file transfer routines */
#ifdef __cplusplus
extern "C" {
#endif
typedef BOOL (FAR PASCAL *PGetSetupFname)
  (HWND HWin, BOOL Save, PTTSet ts);
typedef BOOL (FAR PASCAL *PGetTransFname)
  (HWND HWin, WORD FuncId, PLONG Option, PFileVar fv, PCHAR CurDir);
typedef BOOL (FAR PASCAL *PGetMultiFname)
  (HWND HWin, PFileVar fv, PCHAR CurDir, WORD FuncId, PWORD Option);
typedef BOOL (FAR PASCAL *PGetGetFname)
  (HWND HWin, PFileVar fv);
typedef void (FAR PASCAL *PSetFileVar) (PFileVar fv);
typedef BOOL (FAR PASCAL *PGetXFname)
  (HWND HWin, BOOL Receive, PLONG Option, PFileVar fv, PCHAR CurDir);
typedef void (FAR PASCAL *PProtoInit)
  (int Proto, PFileVar fv, PCHAR pv, PComVar cv, PTTSet ts);
typedef BOOL (FAR PASCAL *PProtoParse)
  (int Proto, PFileVar fv, PCHAR pv, PComVar cv);
typedef void (FAR PASCAL *PProtoTimeOutProc)
  (int Proto, PFileVar fv, PCHAR pv, PComVar cv);
typedef BOOL (FAR PASCAL *PProtoCancel)
  (int Proto, PFileVar fv, PCHAR kv, PComVar cv);
typedef void (FAR PASCAL *PVTPrint)
  (PVTPrnVar vpv);

extern PGetSetupFname GetSetupFname;
extern PGetTransFname GetTransFname;
extern PGetMultiFname GetMultiFname;
extern PGetGetFname GetGetFname;
extern PSetFileVar SetFileVar;
extern PGetXFname GetXFname;
extern PProtoInit ProtoInit;
extern PProtoParse ProtoParse;
extern PProtoTimeOutProc ProtoTimeOutProc;
extern PProtoCancel ProtoCancel;
extern PVTPrint VTPrint;

BOOL LoadTTFILE();
BOOL FreeTTFILE();
BOOL NewFileVar(PFileVar *FV);
void FreeFileVar(PFileVar *FV);

void LogStart();
void LogEnd();
void Log1Byte(BYTE b);
void LogToFile();
BOOL CreateLogBuf();
void FreeLogBuf();
BOOL CreateBinBuf();
void FreeBinBuf();

void FileSendStart();
void FileSendEnd();
void FileSend();
void FLogChangeButton(BOOL Pause);
void FLogRefreshNum();
void ProtoEnd();
int ProtoDlgParse();
void ProtoDlgTimeOut();
void KermitStart(int mode);
void XMODEMStart(int mode);
void ZMODEMStart(int mode);
void BPStart(int mode);
void QVStart(int mode);

extern PFileVar LogVar, SendVar, FileVar;
extern BOOL FileLog, BinLog, DDELog;
extern BOOL ProtoFlag;

#ifdef __cplusplus
}
#endif

