/* Tera Term
 Copyright(C) 1994-1996 T. Teranishi
 All rights reserved. */

/* TERATERM.EXE, variables, flags related to VT win and TEK win */

#include "teraterm.h"
#include "tttypes.h"

HWND HVTWin = NULL;
HWND HTEKWin = NULL;
HDC VTDC = NULL; /* Device context for VT window */
  
int ActiveWin = IdVT; /* IdVT, IdTEK */
int TalkStatus = IdTalkKeyb; /* IdTalkKeyb, IdTalkCB, IdTalkTextFile */

BOOL DebugFlag = FALSE;
BOOL Connecting = FALSE;

/* 'help' button on dialog box */
WORD MsgDlgHelp;
LONG HelpId;

TTTSet ts;
TComVar cv;

/* pointers of window objects */
void* pVTWin = NULL;
void* pTEKWin = NULL;

void VTActivate()
{
  ActiveWin = IdVT;
  ShowWindow(HVTWin, SW_SHOWNORMAL);
  SetFocus(HVTWin);
}

void ChangeTitle()
{
  char TempTitle[81];

  strcpy(TempTitle, ts.Title);
  strncat(TempTitle," - ",79);
  if (Connecting)
    strncat(TempTitle,"[connecting...]",79);
  else if (! cv.Ready)
    strncat(TempTitle,"[disconnected]",79);
  else if (ts.PortType==IdSerial)
    switch (ts.ComPort) {
      case 1: strncat(TempTitle,"COM1",79); break;
      case 2: strncat(TempTitle,"COM2",79); break;
      case 3: strncat(TempTitle,"COM3",79); break;
      case 4: strncat(TempTitle,"COM4",79); break;
    }
  else
    strncat(TempTitle,ts.HostName,79);

  strncat(TempTitle," VT",79);
  SetWindowText(HVTWin,TempTitle);
  if (HTEKWin!=0)
  {
    TempTitle[strlen(TempTitle)-2] = 0;
    strncat(TempTitle,"TEK",79);
    SetWindowText(HTEKWin,TempTitle);
  }
}

void SwitchMenu()
{
  HWND H1, H2;

  if (ActiveWin==IdVT)
  {
    H1 = HTEKWin;
    H2 = HVTWin;
  }
  else {
    H1 = HVTWin;
    H2 = HTEKWin;
  }

  if (H1!=0)
    PostMessage(H1,WM_USER+MsgChangeMenu,0,0);
  if (H2!=0)
    PostMessage(H2,WM_USER+MsgChangeMenu,0,0);
}

void OpenHelp(HWND HWin, UINT Command, DWORD Data)
{
  char HelpFN[MAXPATHLEN];

  strcpy(HelpFN,ts.HomeDir);
  strcat(HelpFN,"\\");
  if (ts.Language==IdEnglish)
    strcat(HelpFN,HelpEng);
  else
    strcat(HelpFN,HelpJpn);
  WinHelp(HWin, HelpFN, Command, Data);
}
